Bug 104640 - Images with caption will disappearing ('white box') when changing anchor
Summary: Images with caption will disappearing ('white box') when changing anchor
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.0.1 target:5.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2016-12-13 14:00 UTC by Telesto
Modified: 2017-07-07 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (121.93 KB, application/vnd.oasis.opendocument.text)
2016-12-13 14:00 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-12-13 14:00:01 UTC
Description:
A image will disappear when changing anchor

Steps to Reproduce:
1.Open attached file.
2.Click below "Illustration 2" (select the frame)
3.Set anchor to "To character"
4.Illustration 1 is 'gone'


Actual Results:  
On illustration is disappearing

Expected Results:
Both illustrations should be visible


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha0+
Build ID: ba6b35fc68a01aff72b39eb7809bacb326068668
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-13_06:07:39
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 5.3.0.0.beta1  (x64)
Build ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU Threads: 4; Versie besturingssysteem:Windows 6.19; UI Render: standaard; Layout Engine: new; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-12-13 14:00:18 UTC
Created attachment 129582 [details]
Example file
Comment 2 Telesto 2016-12-13 14:02:05 UTC
Can't go back either: CTRL+Z isn't working
Comment 3 Xisco Faulí 2016-12-13 17:02:24 UTC
Reproduced in


Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 4.3.0.0.alpha0+
Build ID: cfde7ea8ee8526a66db22d690ef2de0f43c76d0b

but not in

Version: 4.1.0.0.alpha1+
Build ID: a2c9d4f8bbde97f175bae4df771273a61251f40
Comment 5 Xisco Faulí 2016-12-13 19:57:31 UTC
Regression introduced by:

author	Bjoern Michaelsen <bjoern.michaelsen@canonical.com>	2014-03-15 15:25:41 (GMT)
committer	Björn Michaelsen <bjoern.michaelsen@canonical.com>	2014-03-17 10:01:32 (GMT)
commit	72a4987434368bfb0b15f5ebb70a52108d349d5f (patch)
tree	f5767ba202a9b89487b79aa66f055d727549f56b
parent	5dc13b2d68eb30417f706935016d8bf7182b4aaa (diff)

fdo#47355: partially revert c5a8a2c3cbcee0175127a0662e3d820ea4deea22
- that commit claimed to fix i#84870
- however that example document _still_ loops for me on current master
  even with the change
- this caused the fdo#47355 regression in addition
- thus reverting to heal fdo#47355, expecting i#84870 unchanged as broken
  before and in need of a proper fix

Adding Cc: to Bjoern Michaelsen
Comment 6 Xisco Faulí 2017-06-12 16:16:15 UTC
Patch submitted to gerrit: https://gerrit.libreoffice.org/#/c/38705/
Comment 7 Commit Notification 2017-06-14 08:42:11 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3919d87210ea12ed3166c649ac52730026db01a4

tdf#104640, tdf#108469: Insert image where the cursor is

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-06-15 21:17:52 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63399341002c8a88ab58add99707fbef24210576&h=libreoffice-5-4

tdf#104640, tdf#108469: Insert image where the cursor is

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-07-07 16:37:03 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f44f65019a60b5bd70b08eb11db8d1baf4f6e229&h=libreoffice-5-3

tdf#104640, tdf#108469: Insert image where the cursor is

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.